Уведомления

Группа в Telegram: @pythonsu

#1 Дек. 25, 2013 06:44:00

KsimMiloff
Зарегистрирован: 2013-10-11
Сообщения: 26
Репутация: +  0  -
Профиль   Отправить e-mail  

Pyramid. Откат на стабильную версию

Всем привет,

Недавно начал проект (мой первый проект) на пирамидах. Установил версию 1.5, не обратил внимание на то, что она альфа/бета. В итоге столкнулся с тем, что появляются ошибки, которых по идее быть недолжно. Например, код из официальной документации к 1.5:

request.authenticated_userid

Вызывает ошибку:
AttributeError: ‘Request’ object has no attribute ‘authenticated_userid’

Хочу поставить версию 1.4. Теперь сам (очень глупый) вопрос: как это сделать? Пробовал через easy_install, указывал ссылку на дистрибутив 1.4.5. Установка, судя по выдаче из консоли, проходит нормально, но когда я проверяю версию пирамид, то все-равно вижу 1.5а3.

Понимаю, что проблема тривиальная, но это также мой первый опыт работы не из под винды. Поставил себе убунту, всего около двух месяцев назад.

Спасибо.

Отредактировано KsimMiloff (Дек. 25, 2013 06:46:52)

Офлайн

#2 Дек. 25, 2013 07:46:53

FishHook
От:
Зарегистрирован: 2011-01-08
Сообщения: 8178
Репутация: +  563  -
Профиль   Отправить e-mail  

Pyramid. Откат на стабильную версию

Вам помогут
1. pip
2. virtualenv



Офлайн

#3 Дек. 25, 2013 08:53:49

KsimMiloff
Зарегистрирован: 2013-10-11
Сообщения: 26
Репутация: +  0  -
Профиль   Отправить e-mail  

Pyramid. Откат на стабильную версию

FishHook
Вам помогут1. pip2. virtualenv
Спасибо, получилось.

Офлайн

Board footer

Модераторировать

Powered by DjangoBB

Lo-Fi Version